%define beta b2

Summary:	Overclocking tool for NVIDIA graphic boards
Name:		nvclock
Version:	0.8
Release:	%mkrel 0.%{beta}.4
License:	GPL
Group:		System/Configuration/Hardware
URL:		http://www.linuxhardware.org/nvclock/
Source:		http://www.linuxhardware.org/nvclock/%{name}%{version}%{beta}.tar.bz2
Patch0:		%{name}0.8b2-makefile.patch
Patch1:		%{name}0.8b2-lib64.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This program allows you to overclock your nvidia card under linux.

%package gtk
Summary:	A GTK2 frontend for nvclock
Group:		System/Configuration/Hardware
BuildRequires:	gtk+2-devel
Requires:	%{name} = %{version}-%{release}

%description gtk
A GTK2 frontend for nvclock.

%package qt3
Summary:	A Qt3 frontend for nvclock
Group:		System/Configuration/Hardware
BuildRequires:	qt3-devel
Requires:	%{name} = %{version}-%{release}

%description qt3
A Qt3 frontend for nvclock.

%prep
%setup -q -n %{name}%{version}%{beta}
%patch0 -p1
%patch1 -p1

%build
autoreconf -fi

%configure2_5x \
	--enable-gtk \
	--enable-qt \
	--enable-nvcontrol \
	--with-qtdir=%{_prefix}/lib/qt3 \
	--with-qt-libs=%{_prefix}/lib/qt3/%{_lib}

# parallel build doesn't work
%(echo %make|perl -pe 's/-j\d+/-j1/g')

%install
rm -rf %{buildroot}

%makeinstall_std mandir=%{_mandir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}-gtk.desktop << EOF
[Desktop Entry]
Name=nvclock-gtk
Comment=Overclocking tool for NVIDIA graphic boards
Exec=%{name}_gtk
Icon=hardware_section
Terminal=false
Type=Application
Categories=GTK;Settings;HardwareSettings;
EOF

cat > %{buildroot}%{_datadir}/applications/%{name}-qt.desktop << EOF
[Desktop Entry]
Name=nvclock-qt3
Comment=Overclocking tool for NVIDIA graphic boards
Exec=%{name}_qt
Icon=hardware_section
Terminal=false
Type=Application
OnlyShowIn=KDE;
Categories=QT;Settings;HardwareSettings;
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_mandir}/man1/*

%files gtk
%defattr(-,root,root)
%{_bindir}/%{name}_gtk
%{_datadir}/applications/%{name}-gtk.desktop

%files qt3
%defattr(-,root,root)
%{_bindir}/%{name}_qt
%{_datadir}/applications/%{name}-qt.desktop


%changelog
* Fri Aug 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8-0.b2.4mdv2008.0
+ Revision: 76390
- tune up desktop files

* Thu Aug 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8-0.b2.3mdv2008.0
+ Revision: 76301
- fix build on x86_64 (P1)
- fix makefile (P0)
- move binaries to the separate subpackages, now we have gtk and qt3 frontend ;)
- use a hack for make
- provide desktop files
- fix desktop file
- some cleans
- drop old menu style
- Import nvclock



* Mon Oct 09 2006 Lenny Cartier <lenny@mandriva.com> 0.8-0.b2.1mdv2007.1
- beta2
- fix menu & xdg

* Fri Jan 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.8-0.b.1mdk
- New release
- spec cleanup

* Tue Aug 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7-2mdk
- rebuild

* Tue Jul 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- 0.7

* Sun Jul  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-2mdk
- fix url (thanks to Nilmoni Deb)

* Tue Feb  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-1mdk
- new version

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-2mdk
- rebuild

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- new version

* Mon Nov 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6-2mdk
- remove unpackaged but installed files
- fix URL (thanks Nilmoni Deb) 

* Mon Oct  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- fix icon
- 0.6
- gtk2

* Thu Mar 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- add menu entry

* Tue Mar 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- 0.5

* Wed Aug 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- updated to 0.4.1

* Wed Jun 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.4
	- enable gtk gui

* Mon Apr 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2-1mdk
- added in contribs by Gtz Waschk <waschk@linux-mandrake.com> :
	- initial package
